R 3.5 is not available for linux [on hold]

  • A+
Category:Languages

It seems that as of April 28, 2018 the R 3.5 is not available for Linux in any of the mirrors. The latest r-base-core is for 3.4.4, see the image below from one of the mirrors. Meanwhile I was able to install R 3.5 for Windows. Do you know the reason why the latest R is not available for Linux?

R 3.5 is not available for linux [on hold]


Do you know the reason why the latest R is not available for Linux?

Because we are volunteers.

Moreover, R 3.5 breaks the binaries of R 3.4.* and older so we have to rebuild everything first. That is work in progress (for what is mirrored at CRAN).

For Debian proper, I of course uploaded the new packages the morning of the release (as you can see in the ChangeLog) but we are now in a so-called transition where all packages need to be rebuild (which you can monitor via this tracker).

I am thinking of making interim packages available somewhere else. But I would have to find the time to build them first too.

Edit: I expanded a little in this r-sig-debian mailing list post.

Comment

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: